Name:           gocr
Version:        0.52
Release:    1%{?dist}
Summary:        GNU Optical Character Recognition program

License:        GPL-2.0-or-later
URL:            http://jocr.sourceforge.net/
Source0:        http://www-e.uni-magdeburg.de/jschulen/ocr/gocr-%{version}.tar.gz
Patch0:         gocr-0.46-perms.patch

BuildRequires:  gcc
BuildRequires:  netpbm-devel
BuildRequires: make
Requires:       gzip, bzip2, /usr/bin/djpeg, netpbm-progs, transfig

%description
GOCR is an OCR (Optical Character Recognition) program, developed under the
GNU Public License. It converts scanned images of text back to text files.
Joerg Schulenburg started the program, and now leads a team of developers.

GOCR can be used with different front-ends, which makes it very easy to port
to different OSes and architectures. It can open many different image
formats, and its quality have been improving in a daily basis.

%prep
%setup -q
%patch0 -p1 -b .perms


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'
rm -rf %{buildroot}%{_libdir} %{buildroot}%{_includedir}
rm %{buildroot}/%{_bindir}/gocr.tcl

%files
%doc AUTHORS BUGS CREDITS doc/gocr.html gpl.html HISTORY README
%doc REMARK.txt REVIEW TODO
%lang(de) %doc READMEde.txt
%{_bindir}/gocr
%{_mandir}/man1/gocr.1*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.52-1
- initial build
